package migrations

import (
	"encoding/json"

	"github.com/pocketbase/dbx"
	"github.com/pocketbase/pocketbase/daos"
	m "github.com/pocketbase/pocketbase/migrations"
)

func init() {
	m.Register(func(db dbx.Builder) error {
		dao := daos.New(db)

		collection, err := dao.FindCollectionByNameOrId("7her4515qsmrxe8")
		if err != nil {
			return err
		}

		json.Unmarshal([]byte(`[
			"CREATE INDEX `+"`"+`idx_4vOTAiC`+"`"+` ON `+"`"+`events`+"`"+` (\n  `+"`"+`Name`+"`"+`,\n  `+"`"+`course`+"`"+`,\n  `+"`"+`start`+"`"+`,\n  `+"`"+`end`+"`"+`,\n  `+"`"+`semester`+"`"+`,\n  `+"`"+`EventType`+"`"+`,\n  `+"`"+`Compulsory`+"`"+`\n)"
		]`), &collection.Indexes)

		return dao.SaveCollection(collection)
	}, func(db dbx.Builder) error {
		dao := daos.New(db)

		collection, err := dao.FindCollectionByNameOrId("7her4515qsmrxe8")
		if err != nil {
			return err
		}

		json.Unmarshal([]byte(`[]`), &collection.Indexes)

		return dao.SaveCollection(collection)
	})
}
