package migrations

import (
	"encoding/json"

	"github.com/pocketbase/dbx"
	"github.com/pocketbase/pocketbase/daos"
	m "github.com/pocketbase/pocketbase/migrations"
	"github.com/pocketbase/pocketbase/models/schema"
)

func init() {
	m.Register(func(db dbx.Builder) error {
		dao := daos.New(db)

		collection, err := dao.FindCollectionByNameOrId("d65h4wh7zk13gxp")
		if err != nil {
			return err
		}

		// add
		new_retrieved := &schema.SchemaField{}
		json.Unmarshal([]byte(`{
			"system": false,
			"id": "wmmney8x",
			"name": "retrieved",
			"type": "date",
			"required": false,
			"presentable": false,
			"unique": false,
			"options": {
				"min": "",
				"max": ""
			}
		}`), new_retrieved)
		collection.Schema.AddField(new_retrieved)

		return dao.SaveCollection(collection)
	}, func(db dbx.Builder) error {
		dao := daos.New(db)

		collection, err := dao.FindCollectionByNameOrId("d65h4wh7zk13gxp")
		if err != nil {
			return err
		}

		// remove
		collection.Schema.RemoveField("wmmney8x")

		return dao.SaveCollection(collection)
	})
}
