package model

import (
	"time"
)

// FeedModel is an iCal feed
type FeedModel struct {
	Content   string
	ExpiresAt time.Time
	Semester  string
	Course    string
}

// Entry is a time entry
type Entry struct {
	DateStart   time.Time `json:"dateStart"`
	DateEnd     time.Time `json:"dateEnd"`
	Description string    `json:"description"`
}

// Entries is a collection of entries
type Entries []*Entry

type FeedCollection struct {
	UUID            string `db:"uuid" json:"uuid"`
	Name            string `db:"Name" json:"name"`
	Course          string `db:"course" json:"course"`
	UserDefinedName string `db:"userDefinedName" json:"userDefinedName"`
	Reminder        bool   `db:"reminder" json:"reminder"`
}
