package model

import "time"

// MODELS

// SportEntry represents the overall event details.
type SportEntry struct {
	Title          string
	Details        EventDetails
	AdditionalNote string
	ID             string
}

// EventDetails represents detailed information about the event.
type EventDetails struct {
	DateRange    DateRange
	Cycle        string
	Gender       string
	CourseLead   CourseLead
	Location     Location
	Participants Participants
	Cost         string
	Type         string
}

// DateRange represents a start and end date.
type DateRange struct {
	Start time.Time
	End   time.Time
}

// CourseLead represents a person with a name and a contact link.
type CourseLead struct {
	Name string
	Link string
}

// Location represents the location of the event.
type Location struct {
	Name    string
	Address string
}

// Participants represents the participants' details.
type Participants struct {
	Bookings    int
	TotalPlaces int
	WaitList    int
}

type SportDayStartEnd struct {
	Start time.Time
	End   time.Time
	Day   time.Weekday
}
