package db

import (
	"github.com/pocketbase/pocketbase/daos"
	"github.com/pocketbase/pocketbase/tests"
	"testing"
)

const testDataDir = "./mockData"

func TestDeleteFeed(t *testing.T) {

	setupTestApp := func(t *testing.T) *daos.Dao {
		testApp, err := tests.NewTestApp(testDataDir)
		if err != nil {
			t.Fatal(err)
		}
		dao := daos.New(testApp.Dao().DB())
		return dao
	}

	type args struct {
		db     *daos.Dao
		feedId string
	}
	testsCases := []struct {
		name    string
		args    args
		wantErr bool
	}{
		{
			name: "TestDeleteFeed",
			args: args{
				db:     setupTestApp(t),
				feedId: "fkoqti06ohlnsb8",
			},
			wantErr: false,
		},
		{
			name: "TestDeleteFeedNotExisting",
			args: args{
				db:     setupTestApp(t),
				feedId: "test324",
			},
			wantErr: true,
		},
	}
	for _, tt := range testsCases {
		t.Run(tt.name, func(t *testing.T) {
			if err := DeleteFeed(tt.args.db, tt.args.feedId); (err != nil) != tt.wantErr {
				t.Errorf("DeleteFeed() error = %v, wantErr %v", err, tt.wantErr)
			}
		})
	}
}
