package names

import (
	"htwkalender/model"
	"testing"
)

func TestReplaceTemplateSubStrings(t *testing.T) {
	type args struct {
		rawString string
		event     model.Event
	}
	tests := []struct {
		name string
		args args
		want string
	}{
		{
			name: "Test 1",
			args: args{
				rawString: "%t",
				event: model.Event{
					EventType: "Test",
				},
			},
			want: "Test",
		},
		{
			name: "Test 2",
			args: args{
				rawString: "%p",
				event: model.Event{
					Compulsory: "Test",
				},
			},
			want: "Test",
		},
		{
			name: "Test 3",
			args: args{
				rawString: "%%",
				event: model.Event{
					EventType: "Test",
				},
			},
			want: "%",
		},
		{
			name: "Test 4",
			args: args{
				rawString: "%t %p",
				event: model.Event{
					EventType:  "Test",
					Compulsory: "Test",
				},
			},
			want: "Test Test",
		},
		{
			name: "Test 5",
			args: args{
				rawString: "%t %p %%",
				event: model.Event{
					EventType:  "Test",
					Compulsory: "Test",
				},
			},
			want: "Test Test %",
		},
	}
	for _, tt := range tests {
		t.Run(tt.name, func(t *testing.T) {
			if got := ReplaceTemplateSubStrings(tt.args.rawString, tt.args.event); got != tt.want {
				t.Errorf("ReplaceTemplateSubStrings() = %v, want %v", got, tt.want)
			}
		})
	}
}
