import { Module } from "../model/module";

export async function fetchModule(module: Module): Promise<Module> {
  // request to the backend on /api/module with query parameters name as the module name
  const request = new Request("/api/module?uuid=" + module.uuid);

  return await fetch(request)
    .then((response) => {
      return response.json();
    })
    .then(
      (module: Module) =>
        new Module(
          module.uuid,
          module.name,
          module.course,
            module.eventType,
          module.name,
          module.prof,
          module.semester,
          false,
          module.events,
        ),
    );
}
