import { AnonymizedEventDTO } from "../model/event.ts";

export async function fetchRoom(): Promise<string[]> {
  const rooms: string[] = [];
  await fetch("/api/rooms")
    .then((response) => {
      return response.json();
    })
    .then((roomsResponse) => {
      roomsResponse.forEach((room: string) => rooms.push(room));
    });
  return rooms;
}

export async function fetchEventsByRoomAndDuration(
  room: string,
  from_date: string,
  to_date: string,
): Promise<AnonymizedEventDTO[]> {
  const events: AnonymizedEventDTO[] = [];
  await fetch(
    "/api/schedule?room=" + room + "&from=" + from_date + "&to=" + to_date,
  )
    .then((response) => {
      console.log(response);
      return response.json();
    })
    .then((eventsResponse) => {
      console.log("Response:", eventsResponse);
      eventsResponse.forEach((event: AnonymizedEventDTO) => events.push(event));
    })
    .catch((error) => {
      console.log("Error fetching events: ", error);
      return Promise.reject(error);
    });
  console.log("occupations: ", events);
  return events;
}
